<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template;

$piwecard = new Piwecard();

$ecard_id = explode('ecard/', $_SERVER['REQUEST_URI']);
$ecard_id = $ecard_id[1];

if (isset($ecard_id) and $ecard_id != '' and $piwecard->is_valid($ecard_id)) {
	$query = 'SELECT * FROM '.PIWECARD_TABLE.' WHERE ecard_id="'.$ecard_id.'";';
	$result = pwg_query($query);
	$result_array = pwg_db_fetch_assoc($result);

	if (isset($result_array['ecard_id'])) {
		//Recover img infos.
		$query = 'SELECT DISTINCT * FROM '.IMAGES_TABLE.' AS img WHERE img.id = '.$result_array['image'].';';
		$result = pwg_query($query);

		$row = pwg_db_fetch_assoc($result);
		set_make_full_url();
		$url = duplicate_picture_url(
		  array(
			'image_id' => $row['id'],
			'image_file' => $row['file']
		  ),
		  array('start')
		);
		unset_make_full_url();

		//Assign variables to template
		$template->assign('ecard', array(
				'title' 		=> $result_array['title'],
				'message' 		=> $result_array['message'],
				'url'			=> $url,
				'name' 			=> $row['name'],
				'image' 		=> DerivativeImage::url($piwecard->config['image_size'], $row),
				'sender_email' 	=> $result_array['sender_email'],
				'sender_name' 	=> $result_array['sender_name'],
				'image_title'	=> (($piwecard->config['show_image_infos'] == '1') ? $row['name'] : null),
				'image_author' 	=> (($piwecard->config['show_image_infos'] == '1') ? $row['author'] : null),
				'image_border' 	=> array(
										'display' => $piwecard->config['image_border']['display'],
										'style' => $piwecard->config['image_border']['style'],
										'width' => $piwecard->config['image_border']['width'],
										'color' => $piwecard->config['image_border']['color'],
				),
			)
		);
		
	}
}
$template->set_filenames(array('ecard_result' =>  PIWECARD_ROOT.'/template/publish.tpl'));
$template->concat('PLUGIN_INDEX_CONTENT_BEGIN', $template->parse('ecard_result', true));
  
$template->clear_assign(array('U_MODE_POSTED', 'U_MODE_CREATED'));
?>
